tracker-search(1)

NAME
tracker-search - Search all content for keywords

SYNOPSIS
tracker-search [OPTION...] EXPRESSION [EXPRESSION...]

DESCRIPTION
tracker-search searches all indexed content for EXPRESSION.

EXPRESSION
    One or more terms to search. The default operation is a logical AND. For logical OR operations, see -r. The search terms can also be applied to the following options: --files, --folders, --music-albums, --music-artists, --music, --images, --videos and --documents.

OPTIONS

-?, --help
    Give a short help message.

-l, --limit=N
    Limit search to N results. The default is 512.

-o, --offset=N
    Offset the search results by N. For example, start at item number 10 in the results. The default is 0.

-r, --or-operator
    Use OR for search terms instead of AND (the default)

-d, --detailed
    Show more detailed results (only applies to general search)

-f, --files
    Search for files in ascending order.

-e, --folders
    Search for folders in ascending order.

-a, --music-albums
    Search for music albums. This also lists the song count and the sum of the duration of all songs associated with each album.

-s, --music-artists
    Search for music artists.

-u, --music
    Search for music in ascending order. This returns a list of files.

-l, --images
    Search for images in ascending order. This returns a list of files.

-v, --videos
    Search for videos in ascending order. This returns a list of files.

-u, --documents
    Search for documents in ascending order. This returns a list of files.

-V, --version
    Print version.

SEE ALSO
tracker-store(1), tracker-stats(1), tracker-tag(1), tracker-info(1).